#ifndef __ADC_H__
#define __ADC_H__

#include <stdint.h>
#include "adc_driver.h"
#include "i2c.h"

#define AD7993BRUZ_0    (0x21 << 1)
#define AD7993BRUZ_1    (0x23 << 1)

typedef struct {
    int cog;
	ADC_STATE state;
} ADC;

int DetectAdcChip(I2C *bus, int address);
int adcIn(I2C *bus, int address, int channel);
double adcVolts(I2C *bus, int address, int channel);

ADC *adcOpen(ADC *dev, int scl, int sda, int addr, int mask, int freq, uint16_t *buffer, int size);
int adcClose(ADC *dev);
int adcRead(ADC *dev, uint16_t *buffer, int size);

#endif

